Loading...
Searching...
No Matches
{he,sy}r: Hermitian/symmetric rank-1 update
BLAS » Level 2 BLAS: matrix-vector ops
Collaboration diagram for {he,sy}r: Hermitian/symmetric rank-1 update:

## Functions

subroutine | cher (uplo, n, alpha, x, incx, a, lda)
| CHER
subroutine | dsyr (uplo, n, alpha, x, incx, a, lda)
| DSYR
subroutine | ssyr (uplo, n, alpha, x, incx, a, lda)
| SSYR
subroutine | zher (uplo, n, alpha, x, incx, a, lda)
| ZHER
subroutine | csyr (uplo, n, alpha, x, incx, a, lda)
| CSYR performs the symmetric rank-1 update of a complex symmetric matrix.
subroutine | zsyr (uplo, n, alpha, x, incx, a, lda)
| ZSYR performs the symmetric rank-1 update of a complex symmetric matrix.

## Detailed Description